Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.connector
Interface RepositoryContext

All Known Implementing Classes:
  InMemoryRepositorySource.DefaultRepositoryContext, JcrRepository.FederatedRepositoryContext, SimpleRepositoryContext, XmlFileRepositorySource.DefaultRepositoryContext

    @ThreadSafe
    public interface RepositoryContext

The context for a repository. This interface need not be implemented by a `RepositorySource`, as it is normally provided to the source when `initialized`.

Method Summary
`Subgraph` | `getConfiguration(int depth)` Get a snapshot of the current configuration for the `RepositorySource`.
`ExecutionContext` | `getExecutionContext()` Get the execution context, which can be used to create other contexts with specific JAAS security contexts.
`Observer` | `getObserver()` Get the observer that the connector may use to publish changes.
`RepositoryConnectionFactory` | `getRepositoryConnectionFactory()` Get the factory for `connections` to other sources.

Method Detail

### getExecutionContext

    ExecutionContext getExecutionContext()

  Get the execution context, which can be used to create other contexts with specific JAAS security contexts.

  Returns:
    the execution context; never null

### getRepositoryConnectionFactory

    RepositoryConnectionFactory getRepositoryConnectionFactory()

  Get the factory for `connections` to other sources.

  Returns:
    the connection factory

### getObserver

    Observer getObserver()

  Get the observer that the connector may use to publish changes.

  Returns:
    the observer, or null if the are no listeners and publishing is not required/requested

### getConfiguration

    Subgraph getConfiguration(int depth)

  Get a snapshot of the current configuration for the `RepositorySource`. The root of the subgraph will be the node in the configuration that represents the RepositorySource.

  Parameters:
    `depth` - the max depth of the configuration subgraph
  Returns:
    the configuration snapshot as a subgraph, or null if there is no configuration

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.